API Reference
Networks
Get all client-visible networks (EVM + Solana) for frontend use
GET
/networks/client-visibleAuthorization
Access Token AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/networks/client-visible"[
{
"_id": "string",
"name": "string",
"type": "string",
"chainId": 0,
"rpcUrl": "string",
"internalRpcUrl": "string",
"wsRpcUrl": "string",
"blockExplorerUrl": "string",
"logo": "string",
"isClientVisible": true,
"isTestnet": true,
"contracts": {},
"nativeCurrency": {
"_id": "string",
"name": "string",
"ERC20Address": [
{}
],
"isoCode": "string",
"logo": "string",
"tradableInFiat": true,
"isHidden": true,
"onrampEligible": true,
"stable": true,
"treasuryEligible": true
},
"features": [
"LOANS"
],
"minTransactionFee": 0,
"complyAdvantageName": "string",
"safeChainPrefix": "string",
"walletAddress": "string",
"ownershipMethods": [
"PLATFORM_SIGNATURE"
]
}
]Get all client-visible EVM networks (for frontend use)
GET
/networks/client-visible-evmAuthorization
Access Token AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://loading/networks/client-visible-evm"[
{
"_id": "string",
"name": "string",
"type": "string",
"chainId": 0,
"rpcUrl": "string",
"internalRpcUrl": "string",
"wsRpcUrl": "string",
"blockExplorerUrl": "string",
"logo": "string",
"isClientVisible": true,
"isTestnet": true,
"contracts": {},
"nativeCurrency": {
"_id": "string",
"name": "string",
"ERC20Address": [
{}
],
"isoCode": "string",
"logo": "string",
"tradableInFiat": true,
"isHidden": true,
"onrampEligible": true,
"stable": true,
"treasuryEligible": true
},
"features": [
"LOANS"
],
"minTransactionFee": 0,
"complyAdvantageName": "string",
"safeChainPrefix": "string",
"walletAddress": "string",
"ownershipMethods": [
"PLATFORM_SIGNATURE"
]
}
]